Package twisted :: Package web :: Module xmlrpc :: Class _DeferredResult

[show private | hide private]
[frames | no frames]

## Class _DeferredResult

The deferred result of an XML-RPC request.

Method Summary
| `__init__(self, resource, request)`
| `finish(self, result)`
| ``gotFailure`(self, error)` Callback for when request failed.
| ``gotResult`(self, result)` Callback for when request finished.

Method Details

### gotFailure(self, error)

Callback for when request failed.

### gotResult(self, result)

Callback for when request finished.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:37 2003 | http://epydoc.sf.net